--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: interpolate
comment: 
- !ruby/struct:SM::Flow::P 
  body: Conveniently turn a string into a tuple.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: BRA2KET
  value: "{ '['=>']', '('=>')', '{'=>'}', '<'=>'>' }"
full_name: String
includes: 
- !ruby/object:RI::IncludedModule 
  name: Random
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "-"
- !ruby/object:RI::MethodSummary 
  name: ^
- !ruby/object:RI::MethodSummary 
  name: align
- !ruby/object:RI::MethodSummary 
  name: align_center
- !ruby/object:RI::MethodSummary 
  name: align_left
- !ruby/object:RI::MethodSummary 
  name: align_right
- !ruby/object:RI::MethodSummary 
  name: blank?
- !ruby/object:RI::MethodSummary 
  name: bracket
- !ruby/object:RI::MethodSummary 
  name: bracket!
- !ruby/object:RI::MethodSummary 
  name: bytes
- !ruby/object:RI::MethodSummary 
  name: camelcase
- !ruby/object:RI::MethodSummary 
  name: capitalized?
- !ruby/object:RI::MethodSummary 
  name: chars
- !ruby/object:RI::MethodSummary 
  name: cleave
- !ruby/object:RI::MethodSummary 
  name: cmp
- !ruby/object:RI::MethodSummary 
  name: compress_lines
- !ruby/object:RI::MethodSummary 
  name: dequote
- !ruby/object:RI::MethodSummary 
  name: divide
- !ruby/object:RI::MethodSummary 
  name: downcase?
- !ruby/object:RI::MethodSummary 
  name: each_char
- !ruby/object:RI::MethodSummary 
  name: each_word
- !ruby/object:RI::MethodSummary 
  name: end_with?
- !ruby/object:RI::MethodSummary 
  name: expand_tab
- !ruby/object:RI::MethodSummary 
  name: expand_tabs
- !ruby/object:RI::MethodSummary 
  name: file
- !ruby/object:RI::MethodSummary 
  name: fold
- !ruby/object:RI::MethodSummary 
  name: indent
- !ruby/object:RI::MethodSummary 
  name: index_all
- !ruby/object:RI::MethodSummary 
  name: lchomp
- !ruby/object:RI::MethodSummary 
  name: lchomp!
- !ruby/object:RI::MethodSummary 
  name: line_wrap
- !ruby/object:RI::MethodSummary 
  name: lines
- !ruby/object:RI::MethodSummary 
  name: lower_camelcase
- !ruby/object:RI::MethodSummary 
  name: lowercase
- !ruby/object:RI::MethodSummary 
  name: margin
- !ruby/object:RI::MethodSummary 
  name: methodize
- !ruby/object:RI::MethodSummary 
  name: modulize
- !ruby/object:RI::MethodSummary 
  name: mscan
- !ruby/object:RI::MethodSummary 
  name: natcmp
- !ruby/object:RI::MethodSummary 
  name: nchar
- !ruby/object:RI::MethodSummary 
  name: object_state
- !ruby/object:RI::MethodSummary 
  name: outdent
- !ruby/object:RI::MethodSummary 
  name: pathize
- !ruby/object:RI::MethodSummary 
  name: quote
- !ruby/object:RI::MethodSummary 
  name: range
- !ruby/object:RI::MethodSummary 
  name: range_all
- !ruby/object:RI::MethodSummary 
  name: range_of_line
- !ruby/object:RI::MethodSummary 
  name: rewrite
- !ruby/object:RI::MethodSummary 
  name: shatter
- !ruby/object:RI::MethodSummary 
  name: snakecase
- !ruby/object:RI::MethodSummary 
  name: splice
- !ruby/object:RI::MethodSummary 
  name: start_with?
- !ruby/object:RI::MethodSummary 
  name: starts_with?
- !ruby/object:RI::MethodSummary 
  name: succ
- !ruby/object:RI::MethodSummary 
  name: tab
- !ruby/object:RI::MethodSummary 
  name: tabto
- !ruby/object:RI::MethodSummary 
  name: titlecase
- !ruby/object:RI::MethodSummary 
  name: to_b
- !ruby/object:RI::MethodSummary 
  name: to_date
- !ruby/object:RI::MethodSummary 
  name: to_datetime
- !ruby/object:RI::MethodSummary 
  name: to_re
- !ruby/object:RI::MethodSummary 
  name: to_rx
- !ruby/object:RI::MethodSummary 
  name: to_t
- !ruby/object:RI::MethodSummary 
  name: unbracket
- !ruby/object:RI::MethodSummary 
  name: unbracket!
- !ruby/object:RI::MethodSummary 
  name: underscore
- !ruby/object:RI::MethodSummary 
  name: unfold
- !ruby/object:RI::MethodSummary 
  name: upcase?
- !ruby/object:RI::MethodSummary 
  name: upper_camelcase
- !ruby/object:RI::MethodSummary 
  name: uppercase
- !ruby/object:RI::MethodSummary 
  name: variablize
- !ruby/object:RI::MethodSummary 
  name: word_wrap
- !ruby/object:RI::MethodSummary 
  name: word_wrap!
- !ruby/object:RI::MethodSummary 
  name: words
name: String
superclass: Object
